Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class LabelVerifier

This class checks the handling of labels in the AST

author:
  Jochen Theodorou

Field Summary
`LinkedList` | `breakLabels`
`LinkedList` | `continueLabels`
`boolean` | `inLoop`
`boolean` | `inSwitch`
`SourceUnit` | `source`
`LinkedList` | `visitedLabels`

Constructor Summary
`LabelVerifier(SourceUnit src)`

Method Summary
`void` | `assertNoLabelsMissed()`
`SourceUnit` | `getSourceUnit()`
`void` | `init()`
`void` | `visitBreakStatement(BreakStatement statement)`
`void` | `visitClassCodeContainer(Statement code)`
`void` | `visitContinueStatement(ContinueStatement statement)`
`void` | `visitDoWhileLoop(DoWhileStatement loop)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitStatement(Statement statement)`
`void` | `visitSwitch(SwitchStatement statement)`
`void` | `visitWhileLoop(WhileStatement loop)`

Constructor Detail

### LabelVerifier

    public LabelVerifier(SourceUnit src)

Method Detail

### assertNoLabelsMissed

    void assertNoLabelsMissed()

### getSourceUnit

    SourceUnit getSourceUnit()

### init

    void init()

### visitBreakStatement

    public void visitBreakStatement(BreakStatement statement)

### visitClassCodeContainer

    void visitClassCodeContainer(Statement code)

### visitContinueStatement

    public void visitContinueStatement(ContinueStatement statement)

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement loop)

### visitForLoop

    public void visitForLoop(ForStatement forLoop)

### visitStatement

    public void visitStatement(Statement statement)

### visitSwitch

    public void visitSwitch(SwitchStatement statement)

### visitWhileLoop

    public void visitWhileLoop(WhileStatement loop)